Package Details: concourse-fly 5.8.0-2

Git Clone URL: https://aur.archlinux.org/concourse-fly.git (read-only, click to copy)
Package Base: concourse-fly
Description: A command line interface that runs a build in a container with ATC.
Upstream URL: https://concourse-ci.org/fly.html
Keywords: ci cli concourse fly
Licenses: Apache
Conflicts: concourse-fly, concourse-fly-bin, concourse-fly-git
Provides: concourse-fly
Submitter: bramswenson
Maintainer: jvalecillos (pancho)
Last Packager: pancho
Votes: 4
Popularity: 0.013557
First Submitted: 2017-03-08 08:39
Last Updated: 2020-03-17 23:37

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

pancho commented on 2019-03-10 21:19

Hi, @jvalecillos. I've tried updating the build for v5.0.0, but db tests fail.

nicoulaj commented on 2018-11-26 09:29

Done, it now builds from source (use concourse-fly-bin for upstream binary install).

pancho commented on 2018-05-02 18:49

TODO: This package should build from source, since we have the -bin package which installs from upstream binary release.

I'll merge the build machinery from the -git package when I get the chance.

pancho commented on 2018-05-02 18:25

Updated. Sorry for the delay, folks.

pancho commented on 2017-10-01 06:54

Hi again, @bramswenson.
Again, count me in to inherit this one.
Have a nice one!

bramswenson commented on 2017-09-29 23:45

Hi all, I've just updated to v3.5.0 and pushed it. I've also migrated to `concourse-fly-bin`. I don't have a need for a compiled concourse-fly at the moment. So I'll pass this repo on to a new maintainer should one come along.
Thanks!
bramswenson

AmShaegar commented on 2017-06-02 08:40

It has to work. The binary you can download manually from the concourse master works fine: http://localhost:8080/api/v1/cli?arch=amd64&platform=linux

Just tested concourse-fly v3.0.1-2 and it works well. Thanks for fixing that!

bramswenson commented on 2017-05-30 19:47

Updated @AmShaegar, please let me know if you find that `linux-userns` is in fact required for fly, as I already have it installed due to my need to test with the actual concourse executable.

bramswenson commented on 2017-05-30 19:44

You might be right @AmShaegar, updating now.

AmShaegar commented on 2017-05-30 10:45

@bramswenson, you just added linux-userns as a dependency. Is it really necessary for fly? It takes hours to compile which feels like massive overhead for what fly actually does.